<template>
  <v-container fluid>
    <p class="text-h6 grey--text font-weight-bold">
      {{ $t("otherMobilityOffers") }}
    </p>
    <v-row
      class="justify-center align-center"
      no-gutters
    >
      <v-col
        cols="3"
        xl="2"
        align-self="start"
        class="col-with-border px-lg-12 px-l-8 px-md-6"
      >
        <p class="body-2 grey--text font-weight-bold">
          {{ $t('logos.tud.title') }}
        </p>
        <a :href="$t('logos.tud.link')">
          <v-img
            contain
            :max-height="logosMaxHeight"
            :src="$t('logos.tud.image')"
          />
        </a>
      </v-col>
      <v-col
        cols="3"
        xl="2"
        align-self="start"
        class="col-with-border px-lg-12 px-l-8 px-md-6 px-8"
      >
        <p class="body-2 grey--text font-weight-bold">
          {{ $t('logos.paa.title') }}
        </p>
        <a :href="$t('logos.paa.link')">
          <v-img
            contain
            :max-height="logosMaxHeight"
            :src="$t('logos.paa.image')"
          />
        </a>
      </v-col>
      <v-col
        cols="3"
        xl="2"
        align-self="start"
        class="col-with-border px-lg-12 px-l-8 px-md-6 px-8"
      >
        <p class="body-2 grey--text font-weight-bold">
          {{ $t('logos.zou.title') }}
        </p>
        <a :href="$t('logos.zou.link')">
          <v-img
            contain
            :max-height="logosMaxHeight"
            :src="$t('logos.zou.image')"
          />
        </a>
      </v-col>
      <v-col
        cols="3"
        xl="3"
        align-self="start"
        class="px-lg-12 px-l-8 px-md-6 px-8"
      >
        <p class="body-2 grey--text font-weight-bold">
          {{ $t('logos.zouFer.title') }}
        </p>
        <a :href="$t('logos.zouFer.link')">
          <v-img
            contain
            :max-height="logosMaxHeight"
            :src="$t('logos.zouFer.image')"
          />
        </a>
      </v-col>
    </v-row>
    <v-row
      class="mt-12 justify-center"
    >
      <v-col
        v-if="communityDisplay"
        cols="6"
        lg="5"
        xl="3"
      >
        <m-card
          background-color="secondary"
          text-color="white--text text-body-1 text-left font-weight-bold"
          :card-title="this.$t('community.title')"
          :card-text="this.$t('community.text')"
          :card-text-button="this.$t('community.button.label')"
          card-text-color-button="primary--text"
          card-color-button="white"
          :href-button="this.$t('community.button.route')"
          card-rounded="rounded-lg"
          justify-title="justify-left"
          flat
        />
      </v-col>
      <v-col
        v-if="eventDisplay"
        cols="6"
        lg="5"
        xl="3"
      >
        <m-card
          background-color="secondary"
          text-color="white--text text-body-1 text-left font-weight-bold"
          :card-title="this.$t('event.title')"
          :card-text-button="this.$t('event.buttonShowEvent.label')"
          :card-text-button-two="this.$t('event.buttonCreateEvent.label')"
          :card-text="this.$t('event.text')"
          card-text-color-button="primary--text"
          card-text-color-button-two="primary--text"
          card-color-button="white"
          card-color-button-two="white"
          :href-button="this.$t('event.buttonShowEvent.route')"
          :href-button-two="this.$t('event.buttonCreateEvent.route')"
          flat
          class="mx-2"
          card-rounded="rounded-lg"
          justify-title="justify-left"
        />
      </v-col>
      <v-col
        v-if="solidaryDisplay"
        align="center"
        cols="6"
        lg="5"
        xl="3"
      >
        <m-card
          background-color="secondary"
          text-color="white--text text-body-1 text-left font-weight-bold"
          :card-title="this.$t('solidary.title')"
          :card-text-button="this.$t('solidary.button.label')"
          card-text-color-button="primary--text"
          card-color-button="white"
          :href-button="this.$t('solidary.button.route')"
          :card-text-button-two="this.$t('solidary.button2.label')"
          card-text-color-button-two="primary--text"
          card-color-button-two="white"
          :href-button-two="this.$t('solidary.button2.route')"
          bold-title
          class-title="headline"
          justify-title="text-left"
          height-title="128px"
          height="250"
          flat
          :user-id="userId"
          :must-be-logged-button-two="true"
          :must-be-logged-button-text-two="$t('mustMeLogged')"
        />
      </v-col>
    </v-row>
    <v-row class="justify-center">
      <v-col
        cols="12"
        lg="6"
      >
        <v-img
          contain
          :src="$t('partners.image')"
        />
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
import {merge} from "lodash";
import MCard from '@components/utilities/MCard'
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/HomeContent/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/HomeContent/";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    MCard
  },
  props: {
    solidaryDisplay: {
      type: Boolean,
      default: false
    },
    eventDisplay: {
      type: Boolean,
      default: false
    },
    communityDisplay: {
      type: Boolean,
      default: false
    },
    urlMobile: {
      type: String,
      default: null
    },
    userId: {
      type: Number,
      default: null
    }
  },
  data () {
    return {
      mobileUrl: this.urlMobile,
      logosMaxHeight:100
    }
  },
}
</script>
<style lang="scss" scoped>
.col-with-border{
  border-right:1px solid silver;
}
</style>